Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1098716 - RFE: Please install and start the openstack-neutron-metering-agent
Summary: RFE: Please install and start the openstack-neutron-metering-agent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 5.0 (RHEL 7)
Assignee: Gilles Dubreuil
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On: 1066958
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-17 15:53 UTC by Attila Fazekas
Modified: 2014-09-08 05:43 UTC (History)
8 users (show)

Fixed In Version: openstack-packstack-2014.1.1-0.23.dev1120.el7ost
Doc Type: Enhancement
Doc Text:
This update adds the ability for PackStack to install an L3 metering agent. Installation of the metering agent is controlled by a new command line option (--os-neutron-metering-agent-install) and a new Boolean in PackStack answer files (CONFIG_NEUTRON_METERING_AGENT_INSTALL), which install the metering agent on all nodes running L3 agents when enabled.
Clone Of: 1066958
Environment:
Last Closed: 2014-07-08 15:38:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:0846 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement - Packstack 2014-07-08 19:23:14 UTC

Description Attila Fazekas 2014-05-17 15:53:59 UTC
+++ This bug was initially created as a clone of Bug #1066958 +++

The openstack-neutron-metering-agent adds extra metering capabilities on the l3 agent hosts. 

Please install and start this agent by default on the l3 agent hosts.
It can be a boolean option in the packstack answer file.

Comment 4 Gilles Dubreuil 2014-06-02 05:31:25 UTC
Following patch allows Packstack to install Neutron L3 Metering Agent:

https://review.openstack.org/#/c/97144/

Comment 5 Gilles Dubreuil 2014-06-04 00:06:23 UTC
Patch has been merged.

Comment 7 Toni Freger 2014-06-12 07:14:50 UTC
The Metering agent is installed by Packstack successfully.

But when two L3 agents are installed there is only one Metering agent, so a new bug is opened : https://bugzilla.redhat.com/show_bug.cgi?id=1108499

Comment 10 errata-xmlrpc 2014-07-08 15:38:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0846.html


Note You need to log in before you can comment on or make changes to this bug.